List contacts
GET
/api/v1/contacts
const url = 'https://renotify.app/api/v1/contacts?ids=1%2C2%2C3&source=hubspot&status=lead&search=Jane&sort=created_at&direction=desc&per_page=15';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://renotify.app/api/v1/contacts?ids=1%2C2%2C3&source=hubspot&status=lead&search=Jane&sort=created_at&direction=desc&per_page=15' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”ids
Restrict the response to specific contact IDs.
string
Restrict the response to specific contact IDs.
Example
1,2,3source
Filter by the contact source.
string
Filter by the contact source.
Example
hubspotfilters
Apply exact-match filters to core fields or custom data fields.
Apply exact-match filters to core fields or custom data fields.
object
Example
{ "status": "lead"}search
Search by name, email, phone, or external ID.
string
Search by name, email, phone, or external ID.
Example
Janesort
Sort by a core field or custom data field.
string
Sort by a core field or custom data field.
Example
created_atdirection
Sort direction.
string
Sort direction.
Example
descper_page
Results per page.
integer
Results per page.
Example
15Responses
Section titled “Responses”Media typeapplication/json
object
errors
Array<object>
object
status
string
title
string
detail
string
Example
{ "errors": [ { "status": "401", "title": "Unauthenticated", "detail": "Unauthenticated." } ]}